AddendumSectionBuilder Class

class NXOpen.Die.AddendumSectionBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a NXOpen.Die.AddendumSectionBuilder which is used to create or edit an addendum section.

To create a new instance of this class, use NXOpen.Die.DieCollection.CreateAddendumSectionBuilder()

New in version NX7.5.0.

Properties

Property Description
AngleTolerance Returns or sets the angle tolerance.
Attributes Returns the color and string attributes of the section.
ByCurves Returns the curves used to approximate an addendum section.
ConstraintCurve Returns the constraint curve.
ConstraintCurveToEdit Returns the constraint curve to edit.
ConstraintFaces Returns the constraint faces.
CurveToExtend Returns or sets the constraint curve to extend.
DistanceTolerance Returns or sets the distance tolerance.
DrawDirection Returns or sets the draw direction.
EditedConstraintCurve Returns or sets the edited constraint curve.
ExtendData Returns the object used to extend the constraint curve which is accessed via NXOpen.Die.AddendumSectionBuilder.ConstraintCurve().
ExtendEndDistance Returns the distance to extend the end of the constraint curve.
ExtendStartDistance Returns the distance to extend the start of the constraint curve.
FacetDensity Returns or sets the facet density.
Limits Returns the limits to control the span of the preview surface
LocationType Returns or sets the location where the section will be created.
MaximumPositive Returns the maximum positive trim angle.
MinimumDraftAngle Returns the minimum draft angle.
MinimumNegative Returns the minimum negative trim angle.
MinimumRadius Returns the minimum radius.
MinimumTrimLedge Returns the minimum trim ledge.
MirrorPlane Returns or sets the mirror plane.
NeutralCurve Returns the neutral curve.
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
PlusLength Returns the minimum plus length.
Product Returns the product faces.
SectionOrientation Returns or sets the section orientation.
SectionPlane Returns or sets the section plane.
SectionPoint Returns or sets the origin point where the section will be located.
SectionShape Returns or sets the section shape.
Sections Returns the addendum sections to edit.
SmoothRadius Returns the smoothing radius for the constraint curve used by NXOpen.Die.AddendumSectionBuilder.SmoothCurve().
SurfaceBuildMethod Returns or sets the addendum surface build method.
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
TranslateDistance Returns the translate distance used by NXOpen.Die.AddendumSectionBuilder.TranslateWall().

Methods

Method Description
ChangeSectionPlane Changes the section orientation.
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
CopySection Copies addendum section in order to be pasted at another location.
CreateExtendSection Creates a NXOpen.Section object containing the extended constraint curve.
CreateSection Create addendum section using previously supplied parameters.
CreateSectionFromReuse Creates a section using the information stored in the reuse library.
CutSection Cuts section in order to be pasted at another location.
DefaultDraw Create default draw vector based upon the input product faces.
DeleteExtendSection Deletes the NXOpen.Section used for extended constraint curve.
DeleteSections Delete addendum sections from NXOpen.Die.AddendumSectionBuilder.Sections().
Destroy Deletes the builder, and cleans up any objects created by the builder.
EditBlendSection Edit radius value of blend section.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
InitializeEditParameters Initializes environment to start editing parameters of a section.
LockSegment Lock a segment parameter value.
MirrorSections Mirror sections using plane from NXOpen.Die.AddendumSectionBuilder.MirrorPlane().
MoveSectionOrigin Moves addendum section to a new location.
PasteSection Paste section.
PasteSectionFromCurve Creates a section by reading the section parameters from the input curve and pasting at the location specified by NXOpen.Die.AddendumSectionBuilder.SectionPoint()
RecreateSections Re-create all existing sections because of a change in the draw direction or product faces.
Reinitialize Reinitialize the environment after changes to input data such as draw vector or product faces
ReplaceConstraintCurve Replaces the constraint curve with an edited curve.
ReplaceSectionCurve Replaces the current section with the edited one.
ResetSection Resets the section to the last saved state.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
SmoothCurve Smooth the constraint curve using the radius supplied by NXOpen.Die.AddendumSectionBuilder.SmoothRadius().
TerminateEditParameters Cleans up environment after editing parameters of a section.
TranslateWall Translate the constraint curve in the direction of the last wall segment of the addendum section using the distance supplied by NXOpen.Die.AddendumSectionBuilder.TranslateDistance().
TrimExtendConstraintCurve Trims or extends constraint curve.
UnlockSegment Unlock a segment parameter value.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
UpdateSection Updates section after editing segments via NXOpen.Die.AddendumSectionBuilder.UpdateSegment().
UpdateSectionAttributes Updates the section attributes.
UpdateSectionsAfterConstraintChange Called to update the section when constraint curve or constraint surface is changed.
UpdateSegment Updates length or angle value of a segment.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

AddendumSectionBuilderSectionLocationType Enumeration The settings indicating the location of the section being created.
AddendumSectionBuilderSectionOrientationType Enumeration The settings to indicate the section orientation.
AddendumSectionBuilderSectionShapeType Enumeration The settings to indicate the section shape.
AddendumSectionBuilderSegmentParameterType Enumeration The settings to indicate which parameter of the segment to lock.
AddendumSectionBuilderSegmentType Enumeration The settings to indicate the segment type to update.
AddendumSectionBuilderSurfaceBuildType Enumeration The settings to indicate the surface type.

Property Detail

AngleTolerance

AddendumSectionBuilder.AngleTolerance

Returns or sets the angle tolerance.

-------------------------------------

Getter Method

Signature AngleTolerance

Returns:
Return type:float

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature AngleTolerance

Parameters:angleTolerance (float) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Attributes

AddendumSectionBuilder.Attributes

Returns the color and string attributes of the section.

-------------------------------------

Getter Method

Signature Attributes

Returns:
Return type:NXOpen.Die.DieAttributesBuilder

New in version NX7.5.0.

License requirements: None.

ByCurves

AddendumSectionBuilder.ByCurves

Returns the curves used to approximate an addendum section.

-------------------------------------

Getter Method

Signature ByCurves

Returns:
Return type:NXOpen.Section

New in version NX7.5.0.

License requirements: None.

ConstraintCurve

AddendumSectionBuilder.ConstraintCurve

Returns the constraint curve.

-------------------------------------

Getter Method

Signature ConstraintCurve

Returns:
Return type:NXOpen.ScCollector

New in version NX7.5.0.

License requirements: None.

ConstraintCurveToEdit

AddendumSectionBuilder.ConstraintCurveToEdit

Returns the constraint curve to edit.

This function will read the objects using NXOpen.Die.AddendumSectionBuilder.ConstraintCurve(). and if needed create a non-associative curve to be used by the edit curve functions. The only case where it will not create a curve is if there is only one non-associative spline on the selection.

-------------------------------------

Getter Method

Signature ConstraintCurveToEdit

Returns:
Return type:NXOpen.Curve

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

ConstraintFaces

AddendumSectionBuilder.ConstraintFaces

Returns the constraint faces.

-------------------------------------

Getter Method

Signature ConstraintFaces

Returns:
Return type:NXOpen.ScCollector

New in version NX7.5.0.

License requirements: None.

CurveToExtend

AddendumSectionBuilder.CurveToExtend

Returns or sets the constraint curve to extend.

-------------------------------------

Getter Method

Signature CurveToExtend

Returns:
Return type:NXOpen.Curve

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature CurveToExtend

Parameters:curve (NXOpen.Curve) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

DistanceTolerance

AddendumSectionBuilder.DistanceTolerance

Returns or sets the distance tolerance.

-------------------------------------

Getter Method

Signature DistanceTolerance

Returns:
Return type:float

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DistanceTolerance

Parameters:distanceTolerance (float) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

DrawDirection

AddendumSectionBuilder.DrawDirection

Returns or sets the draw direction.

-------------------------------------

Getter Method

Signature DrawDirection

Returns:
Return type:NXOpen.Direction

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DrawDirection

Parameters:punchDirection (NXOpen.Direction) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

EditedConstraintCurve

AddendumSectionBuilder.EditedConstraintCurve

Returns or sets the edited constraint curve.

-------------------------------------

Getter Method

Signature EditedConstraintCurve

Returns:
Return type:NXOpen.Curve

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature EditedConstraintCurve

Parameters:curve (NXOpen.Curve) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

ExtendData

AddendumSectionBuilder.ExtendData

Returns the object used to extend the constraint curve which is accessed via NXOpen.Die.AddendumSectionBuilder.ConstraintCurve().

Need to call function NXOpen.Die.AddendumSectionBuilder.CreateExtendSection() before calling this function.

-------------------------------------

Getter Method

Signature ExtendData

Returns:
Return type:NXOpen.GeometricUtilities.CurveLengthData

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

ExtendEndDistance

AddendumSectionBuilder.ExtendEndDistance

Returns the distance to extend the end of the constraint curve.

-------------------------------------

Getter Method

Signature ExtendEndDistance

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

ExtendStartDistance

AddendumSectionBuilder.ExtendStartDistance

Returns the distance to extend the start of the constraint curve.

-------------------------------------

Getter Method

Signature ExtendStartDistance

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

FacetDensity

AddendumSectionBuilder.FacetDensity

Returns or sets the facet density.

-------------------------------------

Getter Method

Signature FacetDensity

Returns:
Return type:float

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature FacetDensity

Parameters:facetDensity (float) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Limits

AddendumSectionBuilder.Limits

Returns the limits to control the span of the preview surface

-------------------------------------

Getter Method

Signature Limits

Returns:
Return type:NXOpen.Die.DieLimitsBuilder

New in version NX7.5.0.

License requirements: None.

LocationType

AddendumSectionBuilder.LocationType

Returns or sets the location where the section will be created.

-------------------------------------

Getter Method

Signature LocationType

Returns:
Return type:NXOpen.Die.AddendumSectionBuilderSectionLocationType

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature LocationType

Parameters:locationType (NXOpen.Die.AddendumSectionBuilderSectionLocationType) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

MaximumPositive

AddendumSectionBuilder.MaximumPositive

Returns the maximum positive trim angle.

-------------------------------------

Getter Method

Signature MaximumPositive

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

MinimumDraftAngle

AddendumSectionBuilder.MinimumDraftAngle

Returns the minimum draft angle.

-------------------------------------

Getter Method

Signature MinimumDraftAngle

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

MinimumNegative

AddendumSectionBuilder.MinimumNegative

Returns the minimum negative trim angle.

-------------------------------------

Getter Method

Signature MinimumNegative

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

MinimumRadius

AddendumSectionBuilder.MinimumRadius

Returns the minimum radius.

-------------------------------------

Getter Method

Signature MinimumRadius

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

MinimumTrimLedge

AddendumSectionBuilder.MinimumTrimLedge

Returns the minimum trim ledge.

-------------------------------------

Getter Method

Signature MinimumTrimLedge

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

MirrorPlane

AddendumSectionBuilder.MirrorPlane

Returns or sets the mirror plane.

-------------------------------------

Getter Method

Signature MirrorPlane

Returns:
Return type:NXOpen.Plane

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature MirrorPlane

Parameters:mirrorPlane (NXOpen.Plane) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

NeutralCurve

AddendumSectionBuilder.NeutralCurve

Returns the neutral curve.

-------------------------------------

Getter Method

Signature NeutralCurve

Returns:
Return type:NXOpen.Section

New in version NX7.5.0.

License requirements: None.

PlusLength

AddendumSectionBuilder.PlusLength

Returns the minimum plus length.

-------------------------------------

Getter Method

Signature PlusLength

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

Product

AddendumSectionBuilder.Product

Returns the product faces.

-------------------------------------

Getter Method

Signature Product

Returns:
Return type:NXOpen.ScCollector

New in version NX7.5.0.

License requirements: None.

SectionOrientation

AddendumSectionBuilder.SectionOrientation

Returns or sets the section orientation.

-------------------------------------

Getter Method

Signature SectionOrientation

Returns:
Return type:NXOpen.Die.AddendumSectionBuilderSectionOrientationType

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature SectionOrientation

Parameters:sectionOrientation (NXOpen.Die.AddendumSectionBuilderSectionOrientationType) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SectionPlane

AddendumSectionBuilder.SectionPlane

Returns or sets the section plane.

-------------------------------------

Getter Method

Signature SectionPlane

Returns:
Return type:NXOpen.Plane

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature SectionPlane

Parameters:sectionPlane (NXOpen.Plane) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SectionPoint

AddendumSectionBuilder.SectionPoint

Returns or sets the origin point where the section will be located.

-------------------------------------

Getter Method

Signature SectionPoint

Returns:
Return type:NXOpen.Point

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature SectionPoint

Parameters:sectionPoint (NXOpen.Point) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SectionShape

AddendumSectionBuilder.SectionShape

Returns or sets the section shape.

-------------------------------------

Getter Method

Signature SectionShape

Returns:
Return type:NXOpen.Die.AddendumSectionBuilderSectionShapeType

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature SectionShape

Parameters:sectionShape (NXOpen.Die.AddendumSectionBuilderSectionShapeType) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Sections

AddendumSectionBuilder.Sections

Returns the addendum sections to edit.

-------------------------------------

Getter Method

Signature Sections

Returns:
Return type:NXOpen.SelectDisplayableObjectList

New in version NX7.5.0.

License requirements: None.

SmoothRadius

AddendumSectionBuilder.SmoothRadius

Returns the smoothing radius for the constraint curve used by NXOpen.Die.AddendumSectionBuilder.SmoothCurve().

-------------------------------------

Getter Method

Signature SmoothRadius

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

SurfaceBuildMethod

AddendumSectionBuilder.SurfaceBuildMethod

Returns or sets the addendum surface build method.

-------------------------------------

Getter Method

Signature SurfaceBuildMethod

Returns:
Return type:NXOpen.Die.AddendumSectionBuilderSurfaceBuildType

New in version NX7.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature SurfaceBuildMethod

Parameters:surfaceBuildMethod (NXOpen.Die.AddendumSectionBuilderSurfaceBuildType) –

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

TranslateDistance

AddendumSectionBuilder.TranslateDistance

Returns the translate distance used by NXOpen.Die.AddendumSectionBuilder.TranslateWall().

-------------------------------------

Getter Method

Signature TranslateDistance

Returns:
Return type:NXOpen.Expression

New in version NX7.5.0.

License requirements: None.

Method Detail

ChangeSectionPlane

AddendumSectionBuilder.ChangeSectionPlane

Changes the section orientation.

Signature ChangeSectionPlane(section, plane)

Parameters:

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

CopySection

AddendumSectionBuilder.CopySection

Copies addendum section in order to be pasted at another location.

Signature CopySection(section, copyPlaneData)

Parameters:
  • section (NXOpen.Curve) – Section to copy.
  • copyPlaneData (bool) – Indicates whether to copy the orientation plane of the section.

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

CreateExtendSection

AddendumSectionBuilder.CreateExtendSection

Creates a NXOpen.Section object containing the extended constraint curve.

Signature CreateExtendSection()

Returns:
Return type:NXOpen.Section

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

CreateSection

AddendumSectionBuilder.CreateSection

Create addendum section using previously supplied parameters.

Signature CreateSection()

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

CreateSectionFromReuse

AddendumSectionBuilder.CreateSectionFromReuse

Creates a section using the information stored in the reuse library.

Signature CreateSectionFromReuse(fileName)

Parameters:fileName (str) – name of reuse library containing addendum section information

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

CutSection

AddendumSectionBuilder.CutSection

Cuts section in order to be pasted at another location.

Signature CutSection(section, copyPlaneData)

Parameters:
  • section (NXOpen.Curve) – Section to cut.
  • copyPlaneData (bool) – Indicates whether to copy the orientation plane of the section.

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

DefaultDraw

AddendumSectionBuilder.DefaultDraw

Create default draw vector based upon the input product faces.

Signature DefaultDraw()

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

DeleteExtendSection

AddendumSectionBuilder.DeleteExtendSection

Deletes the NXOpen.Section used for extended constraint curve.

Signature DeleteExtendSection()

Returns:NXOpen.Section to delete.
Return type:NXOpen.Section

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

DeleteSections

AddendumSectionBuilder.DeleteSections

Delete addendum sections from NXOpen.Die.AddendumSectionBuilder.Sections().

Signature DeleteSections()

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

EditBlendSection

AddendumSectionBuilder.EditBlendSection

Edit radius value of blend section.

Signature EditBlendSection(section, radius)

Parameters:
  • section (NXOpen.Curve) – Blend section to edit.
  • radius (float) – New radius value.

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

InitializeEditParameters

AddendumSectionBuilder.InitializeEditParameters

Initializes environment to start editing parameters of a section.

Signature InitializeEditParameters(section)

Parameters:section (NXOpen.Curve) – Section to edit.

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

LockSegment

AddendumSectionBuilder.LockSegment

Lock a segment parameter value.

Signature LockSegment(section, segment, type)

Parameters:

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

MirrorSections

AddendumSectionBuilder.MirrorSections

Mirror sections using plane from NXOpen.Die.AddendumSectionBuilder.MirrorPlane().

Signature MirrorSections()

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

MoveSectionOrigin

AddendumSectionBuilder.MoveSectionOrigin

Moves addendum section to a new location.

Signature MoveSectionOrigin(section, newOrigin, useSectionPlane)

Parameters:
  • section (NXOpen.Curve) – Section to move.
  • newOrigin (NXOpen.Point3d) – Point Coordinates of new origin.
  • useSectionPlane (int) – Non-zero value indicates that the orientation plane of the section is to be kept when the section is moved.

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

PasteSection

AddendumSectionBuilder.PasteSection

Paste section.

Signature PasteSection()

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

PasteSectionFromCurve

AddendumSectionBuilder.PasteSectionFromCurve

Creates a section by reading the section parameters from the input curve and pasting at the location specified by NXOpen.Die.AddendumSectionBuilder.SectionPoint()

Signature PasteSectionFromCurve(curve)

Parameters:curve (NXOpen.Curve) – Section to edit.

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

RecreateSections

AddendumSectionBuilder.RecreateSections

Re-create all existing sections because of a change in the draw direction or product faces.

Signature RecreateSections()

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Reinitialize

AddendumSectionBuilder.Reinitialize

Reinitialize the environment after changes to input data such as draw vector or product faces

Signature Reinitialize()

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

ReplaceConstraintCurve

AddendumSectionBuilder.ReplaceConstraintCurve

Replaces the constraint curve with an edited curve.

Signature ReplaceConstraintCurve(editedCurve)

Parameters:editedCurve (NXOpen.Curve) – New edited curve to replace existing constraint curve.

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

ReplaceSectionCurve

AddendumSectionBuilder.ReplaceSectionCurve

Replaces the current section with the edited one.

Signature ReplaceSectionCurve(section)

Parameters:section (NXOpen.Curve) – Section to edit.

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

ResetSection

AddendumSectionBuilder.ResetSection

Resets the section to the last saved state.

Signature ResetSection(section)

Parameters:section (NXOpen.Curve) – Section to reset.

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

SmoothCurve

AddendumSectionBuilder.SmoothCurve

Smooth the constraint curve using the radius supplied by NXOpen.Die.AddendumSectionBuilder.SmoothRadius().

Signature SmoothCurve()

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

TerminateEditParameters

AddendumSectionBuilder.TerminateEditParameters

Cleans up environment after editing parameters of a section.

Signature TerminateEditParameters(section)

Parameters:section (NXOpen.Curve) – Edited section.

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

TranslateWall

AddendumSectionBuilder.TranslateWall

Translate the constraint curve in the direction of the last wall segment of the addendum section using the distance supplied by NXOpen.Die.AddendumSectionBuilder.TranslateDistance().

Signature TranslateWall()

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

TrimExtendConstraintCurve

AddendumSectionBuilder.TrimExtendConstraintCurve

Trims or extends constraint curve.

Signature TrimExtendConstraintCurve(constraintCurve)

Parameters:constraintCurve (NXOpen.Section) – Constraint curve to modify

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

UnlockSegment

AddendumSectionBuilder.UnlockSegment

Unlock a segment parameter value.

Signature UnlockSegment(section, segment, type)

Parameters:

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

UpdateSection

AddendumSectionBuilder.UpdateSection

Updates section after editing segments via NXOpen.Die.AddendumSectionBuilder.UpdateSegment().

This makes permanent the temporary changes so that any future calls to NXOpen.Die.AddendumSectionBuilder.ResetSection() will reset the section to this state.

Signature UpdateSection(section)

Parameters:section (NXOpen.Curve) – Section being edited.

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

UpdateSectionAttributes

AddendumSectionBuilder.UpdateSectionAttributes

Updates the section attributes.

You must call NXOpen.Die.AddendumSectionBuilder.Attributes() first in order to set the attributes to be updated.

Signature UpdateSectionAttributes(section)

Parameters:section (NXOpen.Curve) – Section to edit.

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

UpdateSectionsAfterConstraintChange

AddendumSectionBuilder.UpdateSectionsAfterConstraintChange

Called to update the section when constraint curve or constraint surface is changed.

Signature UpdateSectionsAfterConstraintChange()

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

UpdateSegment

AddendumSectionBuilder.UpdateSegment

Updates length or angle value of a segment.

Signature UpdateSegment(temporary, section, segment, lengthRadius, angle)

Parameters:
Returns:

Computed flange length value.

Return type:

float

New in version NX7.5.0.

License requirements: die_engineering (“DIE ENGINEERING”) OR prog_die_wizard (“UG/Progressive Die Wizard”)

Validate

AddendumSectionBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.